Create new threething
POST /obp/dynamic-entity/threething
OBPv4.0.0-dynamicEntity_createthreething_ Roles: CanCreateDynamicEntityRecord_threething(per bank) _ThreethingDynamic-EntityDynamic
Create new threething.
Mything
Property List:
- threething_id: (uu)id
- status_code: in_progress, verified, failed
- status_message: further explanation of status code
- authority: name of authority that verified the ownership
MethodRouting settings example:
<details>
{
"is_bank_id_exact_match":false,
"method_name":"dynamicEntityProcess",
"connector_name":"rest_vMar2019",
"bank_id_pattern":".*",
"parameters":[
{
"key":"entityName",
"value":"threething"
}
{
"key":"url",
"value":"http://mydomain.com/xxx"
}
]
}
</details>
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
Example request body
{
"threething_id": "3dece208-c95c-11f0-9041-54e1adfac5b1",
"status_code": "verified",
"status_message": "could not find owner",
"authority": "authority"
}Example success response
{
"threething": {
"threething_id": "3dece208-c95c-11f0-9041-54e1adfac5b1",
"status_code": "verified",
"status_message": "could not find owner",
"authority": "authority"
}
}Possible errors (4)
- OBP-20001: User not logged in. Authentication is required!
- OBP-20006: User is missing one or more roles:
- OBP-10001: Incorrect json format.
- OBP-50000: Unknown Error.